########################## Start of libnfc-nci.conf ###########################
###############################################################################
# Application options
NFC_DEBUG_ENABLED=1

###############################################################################
# File used for NFA storage
NFA_STORAGE="/data/nfc"
###############################################################################
## Default poll duration (in ms)
## The default is 500ms if not set
NFA_DM_DISC_DURATION_POLL=500

###############################################################################
# Force UICC to only listen to the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B | NFA_TECHNOLOGY_MASK_F
UICC_LISTEN_TECH_MASK=0x07

###############################################################################
# When screen is turned off, specify the desired power state of the controller.
# 0: power-off-sleep state; DEFAULT
# 1: full-power state
# 2: screen-off card-emulation (CE4/CE3/CE1 modes are used)
SCREEN_OFF_POWER_STATE=1
###############################################################################
# Force tag polling for the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B |
#            NFA_TECHNOLOGY_MASK_F | NFA_TECHNOLOGY_MASK_ISO15693 |
#            NFA_TECHNOLOGY_MASK_B_PRIME |
#            NFA_TECHNOLOGY_MASK_A_ACTIVE | NFA_TECHNOLOGY_MASK_F_ACTIVE.
#
# Notable bits:
# NFA_TECHNOLOGY_MASK_A             0x01    /* NFC Technology A             */
# NFA_TECHNOLOGY_MASK_B             0x02    /* NFC Technology B             */
# NFA_TECHNOLOGY_MASK_F             0x04    /* NFC Technology F             */
# NFA_TECHNOLOGY_MASK_ISO15693      0x08    /* Proprietary Technology       */
POLLING_TECH_MASK=0x0F

###############################################################################
PRESERVE_STORAGE=0x01
###############################################################################
# Override the stack default for NFA_EE_MAX_EE_SUPPORTED set in nfc_target.h.
# The value is set to 3 by default as it assumes we will discover 0xF2,
# 0xF3, and 0xF4. If a platform will exclude and SE, this value can be reduced
# so that the stack will not wait any longer than necessary.

# Maximum EE supported number
# NXP PN557 0x04
# NXP SN1xx 0x06
# NXP SN2xx 0x06
NFA_MAX_EE_SUPPORTED=0x06
##############################################################################
# Deactivate notification wait time out in seconds used in ETSI Reader mode
# 0 - Infinite wait
NFA_DM_DISC_NTF_TIMEOUT=0

###############################################################################
# AID_MATCHING constants
# AID_MATCHING_EXACT_ONLY 0x00
# AID_MATCHING_EXACT_OR_PREFIX 0x01
# AID_MATCHING_PREFIX_ONLY 0x02
#AID_MATCHING_EXACT_OR_SUBSET_OR_PREFIX 0x03
AID_MATCHING_MODE=0x03

###############################################################################
# NCI_RESET_TYPE options
# Default 0x00, reset configurations everytime.
# 0x01, reset configurations only once every boot.
# 0x02, keep configurations.
NCI_RESET_TYPE=0x02

################################################################################
#Set bit to 1 , block list is enabled
#Set bit to 0,  to disable block list
NFA_AID_BLOCK_ROUTE=0x00

###############################################################################
#Set the OffHost AID supported power state:
OFFHOST_AID_ROUTE_PWR_STATE=0x3B

################################################################################
# Maximum WTX requests entertained by MW
NXP_WM_MAX_WTX_COUNT=30
################################################################################
#Set the default Felica T3T System Code :
#This settings will be used when application does not set this parameter
DEFAULT_SYS_CODE={FE:FE}
#########################################################################
#Set NCI credit notification timeout value
NXP_NCI_CREDIT_NTF_TIMEOUT=2
###############################################################################
# Set presence check retry count value. Value Range: 0 to 5
# This value indicates the number of time presence check is repeated in case of
# failure
PRESENCE_CHECK_RETRY_COUNT=0
#########################################################################
# Tech route options
# 0x00, Route mute techs to DH, enable block bit and set power state to 0x00
# 0x01, Remove mute techs from rf discover cmd
MUTE_TECH_ROUTE_OPTION=0x01
##############################################################################
# Forcing HOST to listen for a selected protocol
# 0x00 : Disable Host Listen
# 0x01 : Enable Host to Listen (A)  for ISO-DEP tech A
# 0x02 : Enable Host to Listen (B)  for ISO-DEP tech B
# 0x04 : Enable Host to Listen (F)  for T3T Tag Type Protocol tech F
# 0x07 : Enable Host to Listen (ABF)for ISO-DEP tech AB & T3T Tag Type Protocol tech F
HOST_LISTEN_TECH_MASK=0x07
##############################################################################
# Config option to skip ISO15693 GET_SYS_INFO command as NFC forum tool does
# not support this command
# 0 to Disable this behaviour
# 1 to Enable this behaviour
ISO15693_SKIP_GET_SYS_INFO_CMD=0
##############################################################################
# Deactivate notification wait time out in seconds used in listen active state
# Default is 8sec if not set or set as 0 (see nfc_target.h)
NFA_DM_LISTEN_ACTIVE_DEACT_NTF_TIMEOUT=3
##############################################################################
